%global unmangled_version 0.34.1.1

%if 0%{?fedora} >= 12
%bcond_without python3
%else
%bcond_with python3
%endif

%if 0%{?fedora} && 0%{?fedora} >= 30
%bcond_with python2
%else
%bcond_without python2
%endif

Summary: Reference Synapse Home Server
Name: matrix-synapse
Version: %{unmangled_version}%{?unmangled_release:.%{unmangled_release}}
Release: 2%{?dist}.15
Source0: https://github.com/matrix-org/synapse/archive/v%{unmangled_version}%{?unmangled_release?-r%{unmangled_release}}/synapse-%{unmangled_version}%{?unmangled_release:-r%{unmangled_release}}.tar.gz
Source1: synapse-tmpfile.conf
Source2: synapse.sysconfig
Source3: synapse.service
Patch0: matrix-synapse-proper-paths.patch
Patch2: matrix-synapse-test-paths.patch
Patch3: matrix-synapse-require-msgpack.patch
License: ASL 2.0
Group: Development/Libraries
Prefix: %{_prefix}
BuildArch: noarch
BuildRequires: systemd-units

%if %{with python2}
BuildRequires: python2-devel
BuildRequires: python2-twisted >= 17.1.0
BuildRequires: python2-mock
BuildRequires: python2-setuptools_trial
BuildRequires: python2-unpaddedbase64 >= 1.1.0
BuildRequires: python2-canonicaljson >= 1.1.3
BuildRequires: python2-signedjson >= 1.0.0
BuildRequires: python2-service-identity >= 1.0.0
BuildRequires: python2-pyOpenSSL >= 16.0.0
BuildRequires: python2-yaml >= 3.11
BuildRequires: python2-pyasn1 >= 0.1.9
BuildRequires: python2-pyasn1-modules >= 0.0.7
BuildRequires: python2-pynacl >= 1.2.1
BuildRequires: python2-daemonize >= 2.3.1
BuildRequires: python2-bcrypt >= 3.1.0
BuildRequires: python2-frozendict >= 1
BuildRequires: python2-pillow >= 3.1.2
BuildRequires: python2-sortedcontainers >= 1.4.4
BuildRequires: python2-pysaml2 >= 4.5.0
BuildRequires: python2-pymacaroons-pynacl >= 0.9.3
BuildRequires: python2-bleach >= 1.4.2
BuildRequires: python2-netaddr >= 0.7.18
BuildRequires: python2-jinja2 >= 2.8
BuildRequires: python2-matrix-synapse-ldap3 >= 0.1
BuildRequires: python2-psutil >= 2.0.0
BuildRequires: python2-lxml
BuildRequires: python2-msgpack >= 0.4.2
BuildRequires: python2-jsonschema >= 2.5.1
BuildRequires: python2-phonenumbers >= 8.2.0
BuildRequires: python2-six >= 1.10
BuildRequires: (python2-prometheus_client >= 0.0.18 with python2-prometheus_client < 0.4.0)
BuildRequires: python2-attrs >= 16.0.0
BuildRequires: python2-treq >= 15.1
%endif

%if %{with python3}
BuildRequires: python3-devel
BuildRequires: python3-twisted >= 17.1.0
BuildRequires: python3-mock
BuildRequires: python3-setuptools_trial
BuildRequires: python3-unpaddedbase64 >= 1.1.0
BuildRequires: python3-canonicaljson >= 1.1.3
BuildRequires: python3-signedjson >= 1.0.0
BuildRequires: python3-service-identity >= 1.0.0
BuildRequires: python3-pyOpenSSL >= 16.0.0
BuildRequires: python3-yaml >= 3.11
BuildRequires: python3-pyasn1 >= 0.1.9
BuildRequires: python3-pyasn1-modules >= 0.0.7
BuildRequires: python3-pynacl >= 1.2.1
BuildRequires: python3-daemonize >= 2.3.1
BuildRequires: python3-bcrypt >= 3.1.0
BuildRequires: python3-frozendict >= 1
BuildRequires: python3-pillow >= 3.1.2
BuildRequires: python3-sortedcontainers >= 1.4.4
BuildRequires: python3-pysaml2 >= 4.5.0
BuildRequires: python3-pymacaroons-pynacl >= 0.9.3
BuildRequires: python3-bleach >= 1.4.2
BuildRequires: python3-netaddr >= 0.7.18
BuildRequires: python3-jinja2 >= 2.8
BuildRequires: python3-matrix-synapse-ldap3 >= 0.1
BuildRequires: python3-psutil >= 2.0.0
BuildRequires: python3-lxml
BuildRequires: python3-msgpack >= 0.4.2
BuildRequires: python3-jsonschema >= 2.5.1
BuildRequires: python3-phonenumbers >= 8.2.0
BuildRequires: python3-six >= 1.10
BuildRequires: (python3-prometheus_client >= 0.0.18 with python3-prometheus_client < 0.4.0)
BuildRequires: python3-attrs >= 16.0.0
BuildRequires: python3-treq >= 15.1
%endif

%systemd_requires

Requires: (python3-matrix-synapse or python2-matrix-synapse)
Recommends: python3-matrix-synapse

%description
Matrix is an ambitious new ecosystem for open federated Instant Messaging and
VoIP.  The basics you need to know to get up and running are:

- Everything in Matrix happens in a room.  Rooms are distributed and do not
  exist on any single server.  Rooms can be located using convenience aliases 
  like ``#matrix:matrix.org`` or ``#test:localhost:8448``.

- Matrix user IDs look like ``@matthew:matrix.org`` (although in the future
  you will normally refer to yourself and others using a 3PID: email
  address, phone number, etc rather than manipulating Matrix user IDs)

The overall architecture is::

      client <----> homeserver <=====================> homeserver <----> client
             https://somewhere.org/_matrix      https://elsewhere.net/_matrix

``#matrix:matrix.org`` is the official support room for Matrix, and can be
accessed by the web client at http://matrix.org/beta or via an IRC bridge at
irc://irc.freenode.net/matrix.

Synapse is currently in rapid development, but as of version 0.5 we believe it 
is sufficiently stable to be run as an internet-facing service for real usage!

%if %{with python2}
%package -n python2-matrix-synapse
Summary: Python 2 Libraries For Reference Synapse Home Server
%{?python_provide:%python_provide python2-matrix-synapse}
Requires: %{name}
Requires: python2-unpaddedbase64 >= 1.1.0
Requires: python2-canonicaljson >= 1.1.3
Requires: python2-signedjson >= 1.0.0
Requires: python2-twisted >= 17.1.0
Requires: python2-service-identity >= 1.0.0
Requires: python2-pyOpenSSL >= 16.0.0
Requires: python2-yaml >= 3.11
Requires: python2-pyasn1 >= 0.1.9
Requires: python2-pyasn1-modules >= 0.0.7
Requires: python2-pynacl >= 1.2.1
Requires: python2-daemonize >= 2.3.1
Requires: python2-bcrypt >= 3.1.0
Requires: python2-frozendict >= 1
Requires: python2-pillow >= 3.1.2
Requires: python2-sortedcontainers >= 1.4.4
Requires: python2-pysaml2 >= 4.5.0
Requires: python2-pymacaroons-pynacl >= 0.9.3
Requires: python2-bleach >= 1.4.2
Requires: python2-netaddr >= 0.7.18
Requires: python2-jinja2 >= 2.8
Requires: python2-matrix-synapse-ldap3 >= 0.1
Requires: python2-psutil >= 2.0.0
Requires: python2-lxml
Requires: python2-msgpack >= 0.4.2
Requires: python2-jsonschema >= 2.5.1
Requires: python2-phonenumbers >= 8.2.0
Requires: python2-six >= 1.10
Requires: (python2-prometheus_client >= 0.0.18 with python2-prometheus_client < 0.4.0)
Requires: python2-attrs >= 16.0.0
Requires: python2-treq >= 15.1
Requires: python2-systemd

%description -n python2-matrix-synapse
Matrix is an ambitious new ecosystem for open federated Instant Messaging and
VoIP.
This package provides Python 2 libraries implementing Synapse homeserver.

%endif

%if %{with python3}
%package -n python3-matrix-synapse
Summary: Python 3 Libraries For Reference Synapse Home Server
%{?python_provide:%python_provide python3-matrix-synapse}
Requires: %{name}
Requires: python3-unpaddedbase64 >= 1.1.0
Requires: python3-canonicaljson >= 1.1.3
Requires: python3-signedjson >= 1.0.0
Requires: python3-twisted >= 17.1.0
Requires: python3-service-identity >= 1.0.0
Requires: python3-pyOpenSSL >= 16.0.0
Requires: python3-yaml >= 3.11
Requires: python3-pyasn1 >= 0.1.9
Requires: python3-pyasn1-modules >= 0.0.7
Requires: python3-pynacl >= 1.2.1
Requires: python3-daemonize >= 2.3.1
Requires: python3-bcrypt >= 3.1.0
Requires: python3-frozendict >= 1
Requires: python3-pillow >= 3.1.2
Requires: python3-sortedcontainers >= 1.4.4
Requires: python3-pysaml2 >= 4.5.0
Requires: python3-pymacaroons-pynacl >= 0.9.3
Requires: python3-bleach >= 1.4.2
Requires: python3-netaddr >= 0.7.18
Requires: python3-jinja2 >= 2.8
Requires: python3-matrix-synapse-ldap3 >= 0.1
Requires: python3-psutil >= 2.0.0
Requires: python3-lxml
Requires: python3-msgpack >= 0.4.2
Requires: python3-jsonschema >= 2.5.1
Requires: python3-phonenumbers >= 8.2.0
Requires: python3-six >= 1.10
Requires: (python3-prometheus_client >= 0.0.18 with python3-prometheus_client < 0.4.0)
Requires: python3-attrs >= 16.0.0
Requires: python3-treq >= 15.1
Requires: python3-systemd

%description -n python3-matrix-synapse
Matrix is an ambitious new ecosystem for open federated Instant Messaging and
VoIP.
This package provides Python 3 libraries implementing Synapse homeserver.

%endif

%prep
%setup -n synapse-%{unmangled_version}%{?unmangled_release?:-r%{unmangled_release}}
%patch0 -p1
%patch2 -p1
%patch3 -p1

%build
%if %{with python2}
%py2_build
%endif
%if %{with python3}
%py3_build
%endif

%install
%if %{with python2}
%{__python2} setup.py install \
  --install-scripts='%{_libexecdir}/%{name}' \
  --skip-build \
  --single-version-externally-managed \
  -O2 \
  --root='%{buildroot}'
%{__cat} > %{buildroot}%{_libexecdir}/%{name}/synapse-2 <<EOF
#!/bin/sh
exec %{__python2} -m synapse.app.homeserver --config-path=%{_sysconfdir}/synapse/homeserver.yaml
EOF
%{__chmod} a+x %{buildroot}%{_libexecdir}/%{name}/synapse-2
for f in %{buildroot}%{_libexecdir}/%{name}/*; do
  if
    [ "`sed -e '2,$d' -e 's|^#! *\([^ ]*\).*$|\1|' \"$f\"`" = '%{__python2}' ]
  then
    case "$f" in
    *.py)
      f2="`echo \"$f\" | sed -e 's|\.py$|-2.py|'`"
      ;;
    *)
      f2="$f-2"
      ;;
    esac
    %{__mv} "$f" "$f2"
  fi
done
%endif

%if %{with python3}
%{__python3} setup.py install \
  --install-scripts='%{_libexecdir}/%{name}' \
  --skip-build \
  --single-version-externally-managed \
  -O2 \
  --root='%{buildroot}'
%{__cat} > %{buildroot}%{_libexecdir}/%{name}/synapse-3 <<EOF
#!/bin/sh
exec %{__python3} -m synapse.app.homeserver --config-path=%{_sysconfdir}/synapse/homeserver.yaml
EOF
%{__chmod} a+x %{buildroot}%{_libexecdir}/%{name}/synapse-3
for f in %{buildroot}%{_libexecdir}/%{name}/*; do
  if
    [ "`sed -e '2,$d' -e 's|^#! *\([^ ]*\).*$|\1|' \"$f\"`" = '%{__python3}' ]
  then
    case "$f" in
    *.py)
      f3="`echo \"$f\" | sed -e 's|\.py$|-3.py|'`"
      ;;
    *)
      f3="$f-3"
      ;;
    esac
    %{__mv} "$f" "$f3"
  fi
done
%endif

# Create wrapper scripts for all renamed *-2 and *-3 scripts
(cd %{buildroot}%{_libexecdir}/%{name} && ls -1 *-[23]) |
%{__sed} -e 's/-[23]$//' | sort | uniq |
while read f; do
  %{__cat} > "%{buildroot}%{_libexecdir}/%{name}/$f" <<EOF
#!/bin/sh
%if %{with python3}
[ -x '%{_libexecdir}/%{name}/$f-3' ] && exec '%{_libexecdir}/%{name}/$f-3'
%endif
%if %{with python2}
[ -x '%{_libexecdir}/%{name}/$f-2' ] && exec '%{_libexecdir}/%{name}/$f-2'
%endif
EOF
  %{__chmod} a+x "%{buildroot}%{_libexecdir}/%{name}/$f"
done

# Create wrapper scripts for all renamed *-2.py and *-3.py scripts
(cd %{buildroot}%{_libexecdir}/%{name} && ls -1 *-[23].py) |
%{__sed} -e 's/-[23]\.py$//' | sort | uniq |
while read f; do
  %{__cat} > "%{buildroot}%{_libexecdir}/%{name}/$f" <<EOF
#!/bin/sh
%if %{with python3}
[ -x '%{_libexecdir}/%{name}/$f-3.py' ] && exec '%{_libexecdir}/%{name}/$f-3.py'
%endif
%if %{with python2}
[ -x '%{_libexecdir}/%{name}/$f-2.py' ] && exec '%{_libexecdir}/%{name}/$f-2.py'
%endif
EOF
  %{__chmod} a+x "%{buildroot}%{_libexecdir}/%{name}/$f"
done

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_sbindir}"
%{__ln_s} "%{_libexecdir}/%{name}/synctl" \
          "%{_libexecdir}/%{name}/register_new_matrix_user" \
          "%{_libexecdir}/%{name}/synapse" \
          "${RPM_BUILD_ROOT}%{_sbindir}"

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_sysconfdir}/synapse"
%{__install} -m 0644 contrib/systemd/log_config.yaml \
             "${RPM_BUILD_ROOT}%{_sysconfdir}/synapse"

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_unitdir}"
%{__install} -m 0644 %{SOURCE3} "${RPM_BUILD_ROOT}%{_unitdir}"

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_prefix}/lib/tmpfiles.d"
%{__install} -m0644 %{SOURCE1} \
             "${RPM_BUILD_ROOT}%{_prefix}/lib/tmpfiles.d/synapse.conf"

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig"
%{__install} -m0644 %{SOURCE2} \
             "${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/synapse"

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_localstatedir}/run/synapse"
%{__mkdir_p} "${RPM_BUILD_ROOT}%{_localstatedir}/lib/synapse"
%{__mkdir_p} "${RPM_BUILD_ROOT}%{_localstatedir}/log/synapse"

%check
%if %{with python2}
PYTHONPATH=. %{_bindir}/trial-2 tests
%endif
%if %{with python3}
PYTHONPATH=. %{_bindir}/trial-3 tests
%endif

%pre
getent group synapse &>/dev/null || groupadd -r synapse
getent passwd synapse &>/dev/null || \
    /usr/sbin/useradd -r -g synapse -s /sbin/nologin -c 'Matrix Synapse' \
        -d %{_localstatedir}/lib/synapse synapse

%post
%systemd_post synapse.service

%preun
%systemd_preun synapse.service

%postun
%systemd_postun_with_restart synapse.service

%files
%defattr(-,root,root)
%doc *.rst
%license LICENSE
%attr(0710,root,synapse) %dir %{_sysconfdir}/synapse
%config %{_sysconfdir}/synapse/*
%config %{_sysconfdir}/sysconfig/synapse
%{_sbindir}/*
%{_libexecdir}/matrix-synapse
%exclude %{_libexecdir}/matrix-synapse/*-2
%exclude %{_libexecdir}/matrix-synapse/*-2.py*
%exclude %{_libexecdir}/matrix-synapse/*-3
%exclude %{_libexecdir}/matrix-synapse/*-3.py*
%{_unitdir}/synapse.service
%{_prefix}/lib/tmpfiles.d/synapse.conf
%attr(0710,synapse,synapse) %{_localstatedir}/run/synapse
%attr(0710,synapse,synapse) %{_localstatedir}/lib/synapse
%attr(0750,synapse,synapse) %{_localstatedir}/log/synapse

%if %{with python2}
%files -n python2-matrix-synapse
%defattr(-,root,root)
%doc *.rst
%license LICENSE
%{python2_sitelib}/synapse
%{python2_sitelib}/matrix_synapse-%{version}*.egg-info
%dir %{_libexecdir}/matrix-synapse
%{_libexecdir}/matrix-synapse/*-2
%{_libexecdir}/matrix-synapse/*-2.py*
%endif

%if %{with python3}
%files -n python3-matrix-synapse
%defattr(-,root,root)
%doc *.rst
%license LICENSE
%{python3_sitelib}/synapse
%{python3_sitelib}/matrix_synapse-%{version}*.egg-info
%dir %{_libexecdir}/matrix-synapse
%{_libexecdir}/matrix-synapse/*-3
%{_libexecdir}/matrix-synapse/*-3.py*
%endif
%changelog
* Fri Jan 11 2019 Oleg Girko <ol@infoserver.lv> 0.34.1.1-2
- Fix required version of pysaml2 package
- Drop ".py" suffix from wrapper script name: it's not a Python script
- Include compiled Python scripts in Python 2 and 3 specific packages
* Thu Jan 10 2019 Oleg Girko <ol@infoserver.lv> 0.34.1.1-1
- Update to 0.34.1.1
* Thu Dec 20 2018 Oleg Girko <ol@infoserver.lv> 0.34.0-1
- Update to 0.34.0
- Build packages with Python 2 and Python 3 implemenation to choose from
* Tue Nov 20 2018 Oleg Girko <ol@infoserver.lv> 0.33.9-1
- Update to 0.33.9
* Thu Nov  1 2018 Oleg Girko <ol@infoserver.lv> 0.33.8-1
- Update to 0.33.8
* Thu Oct 18 2018 Oleg Girko <ol@infoserver.lv> 0.33.7-1
- Update to 0.33.7
* Sat Oct  6 2018 Oleg Girko <ol@infoserver.lv> 0.33.6-1
- Update to 0.33.6
* Mon Sep 24 2018 Oleg Girko <ol@infoserver.lv> 0.33.5-1
- Update to 0.33.5
- Use trial-2 instead of trial for tests with python2
- Add patch to fix compatibility with Twisted 18.4.0 in tests
* Fri Sep  7 2018 Oleg Girko <ol@infoserver.lv> 0.33.4-1
- Update to 0.33.4
* Wed Sep  5 2018 Oleg Girko <ol@infoserver.lv> 0.33.3-2
- Add patch to fix CVE-2018-16515
* Wed Aug 22 2018 Oleg Girko <ol@infoserver.lv> 0.33.3-1
- Update to 0.33.3
* Thu Aug  9 2018 Oleg Girko <ol@infoserver.lv> 0.33.2-1
- Update to 0.33.2
* Fri Aug  3 2018 Oleg Girko <ol@infoserver.lv> 0.33.1-1
- Update to 0.33.1
* Sat Jul 21 2018 Oleg Girko <ol@infoserver.lv> 0.33.0-1
- Update to 0.33.0
* Sat Jul  7 2018 Oleg Girko <ol@infoserver.lv> 0.32.2-1
- Update to 0.32.2
* Fri Jul  6 2018 Oleg Girko <ol@infoserver.lv> 0.32.0-1
- Update to 0.32.0
* Tue Jun 26 2018 Oleg Girko <ol@infoserver.lv> 0.31.2-1
- Update to 0.31.2
* Sat Jun  9 2018 Oleg Girko <ol@infoserver.lv> 0.31.1-1
- Update to 0.31.1
* Wed Jun  6 2018 Oleg Girko <ol@infoserver.lv> 0.31.0-1
- Update to 0.31.0
- Use python2 instead of python for build and install
* Thu May 24 2018 Oleg Girko <ol@infoserver.lv> 0.30.0-1
- Update to 0.30.0
* Wed May 16 2018 Oleg Girko <ol@infoserver.lv> 0.29.0-1
- Update to 0.29.0
- Use our own systemd unit file, not rely on the one from contrib
* Tue May  1 2018 Oleg Girko <ol@infoserver.lv> 0.28.1-1
- Update to 0.28.1
* Fri Apr 27 2018 Oleg Girko <ol@infoserver.lv> 0.28.0-1
- Update to 0.28.0
* Fri Apr 13 2018 Oleg Girko <ol@infoserver.lv> 0.27.4-1
- Update to 0.27.4
* Wed Apr 11 2018 Oleg Girko <ol@infoserver.lv> 0.27.3-1
- Update to 0.27.3
* Mon Mar 26 2018 Oleg Girko <ol@infoserver.lv> 0.27.2-1
- Update to 0.27.2
* Thu Nov 16 2017 Oleg Girko <ol@infoserver.lv> 0.25.0-1
- Update to 0.25.0
* Tue Oct 24 2017 Oleg Girko <ol@infoserver.lv> 0.24.1-1
- Update to 0.24.1
* Mon Oct 23 2017 Oleg Girko <ol@infoserver.lv> 0.24.0-1
- Update to 0.24.0
* Tue Oct 17 2017 Oleg Girko <ol@infoserver.lv> 0.23.1-1
- Update to 0.23.1
* Mon Oct  2 2017 Oleg Girko <ol@infoserver.lv> 0.23.0-1
- Update to 0.23.0
* Fri Jul  7 2017 Oleg Girko <ol@infoserver.lv> 0.22.1-1
- Update to 0.22.1
* Thu Jun 15 2017 Oleg Girko <ol@infoserver.lv> 0.21.1-1
- Update to 0.21.1
* Thu May 18 2017 Oleg Girko <ol@infoserver.lv> 0.21.0-1
- Update to 0.21.0
* Tue Apr 11 2017 Oleg Girko <ol@infoserver.lv> 0.20.0-1
- Update to 0.20.0
* Tue Mar 21 2017 Oleg Girko <ol@infoserver.lv> 0.19.3-1
- Update to 0.19.3
* Tue Mar 14 2017 Oleg Girko <ol@infoserver.lv> 0.19.2-2
- Allow newer pynacl to be used with Synapse
* Tue Feb 21 2017 Oleg Girko <ol@infoserver.lv> 0.19.2-1
- Update to 0.19.2
* Thu Feb  9 2017 Oleg Girko <ol@infoserver.lv> 0.19.1-1
- Update to 0.19.1
* Mon Jan  9 2017 Oleg Girko <ol@infoserver.lv> 0.18.7-1
- Update to 0.18.7
* Fri Jan  6 2017 Oleg Girko <ol@infoserver.lv> 0.18.6-1
- Update to 0.18.6
* Tue Dec 27 2016 Oleg Girko <ol@infoserver.lv> 0.18.5-1
- Update to 0.18.5
- Run tests proper way using trial
* Tue Nov 22 2016 Oleg Girko <ol@infoserver.lv> 0.18.4-1
- Update to 0.18.4
* Tue Nov  8 2016 Oleg Girko <ol@infoserver.lv> 0.18.3-1
- Update to 0.18.3
* Wed Nov  2 2016 Oleg Girko <ol@infoserver.lv> 0.18.2-1
- Update to 0.18.2
* Wed Oct  5 2016 Oleg Girko <ol@infoserver.lv> 0.18.1-1
- Update to 0.18.1
* Mon Sep 19 2016 Oleg Girko <ol@infoserver.lv> 0.18.0-1
- Update to 0.18.0
* Fri Sep  9 2016 Oleg Girko <ol@infoserver.lv> 0.17.3-1
- Update to 0.17.3
* Thu Sep  8 2016 Oleg Girko <ol@infoserver.lv> 0.17.2-1
- Update to 0.17.2
* Wed Aug 24 2016 Oleg Girko <ol@infoserver.lv> 0.17.1-1
- Update to 0.17.1
- Require python-lxml for web page preview support
* Mon Aug  8 2016 Oleg Girko <ol@infoserver.lv> 0.17.0-1
- Update to 0.17.0
* Fri Jul  8 2016 Oleg Girko <ol@infoserver.lv> 0.16.1-2
- Add security fix
* Mon Jun 20 2016 Oleg Girko <ol@infoserver.lv> 0.16.1-1
- Update to 0.16.1
* Thu Jun  9 2016 Oleg Girko <ol@infoserver.lv> 0.16.0-1
- Update to 0.16.0
* Thu Mar 31 2016 Oleg Girko <ol@infoserver.lv> 0.14.0-2
- Add environment file to systemd unit configuration
* Wed Mar 30 2016 Oleg Girko <ol@infoserver.lv> 0.14.0-1
- Update to 0.14.0
* Sun Mar  6 2016 Oleg Girko <ol@infoserver.lv> 0.13.3-2
- Require python-systemd explicitly for systemd logging
* Thu Feb 11 2016 Oleg Girko <ol@infoserver.lv> 0.13.3-1
- Update to 0.13.3
* Fri Jan 22 2016 Oleg Girko <ol@infoserver.lv> 0.12.0-1
- Update to 0.12.0
* Sat Nov 28 2015 Oleg Girko <ol@infoserver.lv> 0.11.1-1
- Update to 0.11.1
* Thu Nov  5 2015 Oleg Girko <ol@infoserver.lv> 0.10.0.2-3
- Fix patch to use proper paths
* Thu Nov  5 2015 Oleg Girko <ol@infoserver.lv> 0.10.0.2-2
- Fix python-twisted dependency
* Wed Nov  4 2015 Oleg Girko <ol@infoserver.lv> 0.10.0.2-1
- Update to 0.10.0-r2
* Mon Jul 13 2015 Oleg Girko <ol@infoserver.lv> 0.9.3-1
- Initial package
